Subject: RE: Suggestion for setup
From: Bernard Dautrevaux <[email-masked]>
To: "'Corinna Vinschen'" <[email-masked]>
Cc: [email-masked]
Date: Wed, 6 Mar 2002 14:31:50 +0100

> -----Original Message-----
> From: Corinna Vinschen [mailto:[email-masked]]
> Sent: Wednesday, March 06, 2002 10:19 AM
> To: [email-masked]
> Subject: Re: Suggestion for setup
> 
> 
> On Wed, Mar 06, 2002 at 10:01:22AM +0100, Bernard Dautrevaux wrote:
> > On the same ground, it would be nice if, when creating 
> /etc/passwd and
> > /etc/group, setup.exe pass the "-d" flag to 
> mkpasswd/mkgroup; otherwise,
> > ntsec is almost unusable for the (vast majority of) 
> NT/2k/XP users that
> > happen to be in a Windows domain.
> > 
> > I don't know what happens if "mkpasswd -d" is used on 9x/Me 
> if not in a
> > domain, but this seems harmless on NT/2k/XP, so always 
> passing -d seems
> > harmless in these cases.
> 
> It's not harmless.  mkpasswd -d will result in an error message on
> stand alone systems.  

Oh yes, I forgot that... By saying "harmless" I just wanted to say that it
doesn't break anything, so you can ignore the error message altogether,
something I actually do :-)

> It's actually the other way around.  mkpasswd -l
> is harmless on domain members and domain controllers.

Yes but it doesn't give th eexpected result... What if we add a "-a"
argument (saying generate all possible entries, either local or from the
domain), that in fact will just avoid th eerror message and return code that
"-d" generates if it can't found a domain controller? 

Would a patch on these lines be acceptable, as a first step to allow
automatic generation of complete /etc/passwd and /etc/group files during
cygwin install?

> 
> > In fact for our own use, we package cygwin on the same CD 
> as our own product
> > (with full source of course) and our own install procedure 
> just overwrites
> > (after asking the user) the cygwin-setup generated files by calling
> > mk{passwd,group} with "-d".
> 
> So you have a solution and it's published in this mailing list.
> We could add a FAQ entry.  That should be enough, IMHO.

A FAQ entry indicating that "ntsec" expects correct and complete
passwd/group files is surely useful, although I don't know if it's not
alreay present: I discover the cure for my fiel access problems myself quite
quickly, before even looking at the FAQ, but maybe I'm not the average user
:-)

	Bernard

--------------------------------------------
Bernard Dautrevaux
Microprocess Ingenierie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel:	+33 (0) 1 47 68 80 80
Fax:	+33 (0) 1 47 88 97 85
e-mail:	[email-masked]
		[email-masked]
-------------------------------------------- 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/